Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2008-07-17 04:12:09 +0400
committerJunio C Hamano <gitster@pobox.com>2008-07-17 04:12:09 +0400
commit5324a6339acfabdb27c9ef410525eb6b82d05002 (patch)
treea16abac3422a6b3d410793f2694d461d4e82e2c1 /git-rebase.sh
parent7ed3fed33dd71adad863d350b7a501a12cb94d07 (diff)
parent324c2c3177ca5b62b12029ce8821542fc29a2733 (diff)
Merge branch 'rs/rebase-checkout-not-so-quiet'
* rs/rebase-checkout-not-so-quiet: git-rebase: report checkout failure Conflicts: git-rebase.sh
Diffstat (limited to 'git-rebase.sh')
-rwxr-xr-xgit-rebase.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/git-rebase.sh b/git-rebase.sh
index 56cf6f0316..6ef5754814 100755
--- a/git-rebase.sh
+++ b/git-rebase.sh
@@ -376,8 +376,7 @@ fi
# Detach HEAD and reset the tree
echo "First, rewinding head to replay your work on top of it..."
-git checkout "$onto^0" >/dev/null 2>&1 ||
- die "could not detach HEAD"
+git checkout -q "$onto^0" || die "could not detach HEAD"
git update-ref ORIG_HEAD $branch
# If the $onto is a proper descendant of the tip of the branch, then